﻿using BPA.KitChen.GroupMealOrder.Application.BaseDto;
using BPA.KitChen.GroupMealOrder.Application.Service.AExternalPlatform.Service.AppletOrder.Dtos;
using BPA.KitChen.GroupMealOrder.Core.Entity;
using BPA.KitChen.GroupMealOrder.Core;
using Furion.DatabaseAccessor;
using Furion.FriendlyException;
using Microsoft.AspNetCore.Mvc;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.GroupMealOrder.Application.Service.AExternalPlatform.Service.AppletOrder.Services
{
    public interface IAppletOrderService
    {

        [HttpPost("/api/ExternalPlatform/AppletOrder/CreateOrder")]
        Task<bool> AddOrder(OrderInsertDto dto);

        /// <summary>
        /// 查询订单
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        [HttpPost("/api/ExternalPlatform/AppletOrder/GetOrder")]
        Task<List<OrderViewDto>> GetOrder(OrderQueryDto dto);


        [HttpPost("/api/AppletOrder/GetOrderPageList")]
        Task<PageUtil> GetOrder(OrderQueryPageDto dto);
    }
}
