﻿using System.Collections.Generic;

namespace BPA.KitChen.GroupMealOrder.Core.CacheOption
{
    /// <summary>
    /// 阿波罗公用配置信息缓存
    /// </summary>
    public class ApolloApplication
    {
        /// <summary>
        /// 配置缓存
        /// </summary>
      public static List<ApolloApplicationConfig> Configs { get; set; }

    }
    /// <summary>
    /// 阿波罗公用配置信息解析类
    /// </summary>
    public class ApolloApplicationConfig
    {
        /// <summary>
        /// 微信支付配置
        /// </summary>
        public WechatPayConfigOptions WechatPayConfig { get; set; }
        /// <summary>
        /// 微信基础配置
        /// </summary>
        public WechatConfigOptions WechatConfig { get; set; }
        /// <summary>
        /// 唯一标示
        /// </summary>
        public string Key { get; set; }
    }

    public class ApolloLogConfig
    {
        public string URL { get; set; }

        public string Service { get; set; }
    }

}
