﻿using System.Collections.Generic;

namespace BPA.KitChen.WeChat.WechatServer.Dtos
{

    public class OrderAllInfoDtos
    {
        public OrderAllInfoDtos()
        {
            orderInfo = new();
        }
        public List<OrderAllInfoDto> orderInfo { get; set; }

        public int total { get; set; }

    }
    public class OrderAllInfoDto
    {
        public OrderAllInfoDto()
        {
            SaleAfterInfoHistory = new();
        }
        public string storeName { get; set; }

        /// <summary>
        /// 店铺ID
        /// </summary>
        public string orgId { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public string id { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string customer_ID { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public int? orderCount { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public int? payMode { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string createdAt { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string order_EndTime { get; set; }
        /// <summary>
        /// 状态
        /// </summary>
        public int? orderStatus { get; set; }
        /// <summary>
        /// 状态名称
        /// </summary>
        public string order_Status_Str { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public decimal? orderOriginalMoney { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public decimal? orderRealMoney { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public int? isError { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string errorDescription { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string orderNumber { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string sortId { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string transactionId { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string tradeNo { get; set; }
     
        /// <summary>
        /// 
        /// </summary>
        public string deleteUpstring { get; set; }
        public List<orderDetail> orderDetail { get; set; }
        public string storeTypeId { get;  set; }
        public string storeTypeName { get;  set; }

        public string remark { get; set; }
        /// <summary>
        /// 是否存在售后 null 全部 0 不存在 1 存在
        /// </summary>
        public int? HasSaleAfter { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public int? stutas { get; set; }

        public string refundStutasStr { get; set; }
        /// <summary>
        /// 售后信息
        /// </summary>
        public FullorderByNumberSaleAfterDTO SaleAfterInfo { get; set; }
        /// <summary>
        /// 历史申请售后
        /// </summary>
        public List<FullorderByNumberSaleAfterDTO> SaleAfterInfoHistory { get; set; } 
    }
    /// <summary>
    /// 订单详情
    /// </summary>
    public class orderDetail {
        /// <summary>
        /// 
        /// </summary>
        public string id { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string orderInfo_Id { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string goods_Id { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string store_Id { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public int? order_Status { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string beginCookTime { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string completedCookTime { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string completedTakeTime { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public int? isError { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string errorDescription { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string deleteUpstring { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string storeTypeId { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public int? isSynced { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string createdTime { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public decimal? originalMoney { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public decimal? realMoney { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public int? subOrderType { get; set; }
        /// <summary>
        /// 片区名称
        /// </summary>
        public string storeTypeName { get; set; }
        public string goodName { get;  set; }

        public string storeName{ get; set; }
        public string order_Status_Str { get;  set; }
        public string goodImg { get;  set; }

        public int? isVaild { get; set; }
    }

    /// <summary>
    /// 订单审核表
    /// </summary>
    public class FullorderByNumberSaleAfterDTO
    {
        /// <summary> 
        ///  
        /// </summary> 
        public string Id { get; set; }
        /// <summary> 
        ///  创建于
        /// </summary> 
        public string CreatedAt { get; set; }

        /// <summary> 
        ///  更新于
        /// </summary> 

        public string UpdatedAt { get; set; }

        /// <summary> 
        ///  主订单id
        /// </summary> 
        public string OrderId { get; set; }
        /// <summary> 
        ///  子订单id
        /// </summary> 
        public string SubOrderId { get; set; }
        /// <summary> 
        ///  售后单id
        /// </summary> 
        public string ReturnNo { get; set; }
        /// <summary> 
        ///  申请售后原因
        /// </summary> 
        public string Why { get; set; }
        /// <summary> 
        ///  客户Id
        /// </summary> 
        public string CustomerId { get; set; }
        /// <summary> 
        ///  类型 0 仅退款 1加菜/换菜
        /// </summary> 
        public int? Type { get; set; }
        /// <summary> 
        ///  审核状态
        /// </summary> 
        public SaleAuditStutas AuditStatus { get; set; }
        /// <summary> 
        ///  审核时间
        /// </summary> 
        public string AuditTime { get; set; }
        /// <summary> 
        ///  审核原因
        /// </summary> 
        public string AuditWhy { get; set; }
        /// <summary> 
        ///  审核人员
        /// </summary> 
        public string AuditBy { get; set; }
        /// <summary> 
        ///  备注
        /// </summary> 
        public string Remark { get; set; }
        public string StutasStr { get; set; }
    }
    public enum SaleAuditStutas
    {
        /// <summary>
        /// 取消申请
        /// </summary>
        Cancel,
        /// <summary>
        /// 拒绝
        /// </summary>
        Refuse,
        /// <summary>
        /// 未审核
        /// </summary>
        Normal,
        /// <summary>
        /// 审核中
        /// </summary>
        Auditing,
        /// <summary>
        /// 处理完成
        /// </summary>
        Ok
    }
}
