﻿namespace BPA.KitChen.WeChat.WechatServer.Dtos
{
    /// <summary>
    /// 返回类
    /// </summary>
    /// <typeparam name="T"></typeparam>
    public class MyDataResult<T>
    {
        /// <summary>
        /// 数组
        /// </summary>
        public T data { get; set; }

        /// <summary>
        /// 消息
        /// </summary>
        public string msg { get; set; } = "接口请求报错!";

        /// <summary>
        /// 是否成功
        /// </summary>
        public bool isSuccess { get; set; } = false;
        /// <summary>
        /// 状态码
        /// </summary>
        public int StatusCode { get; set; }
    }
}
