﻿using BPA.Kitchen.Core;
using BPA.KitChen.WeChat.WechatServer.Dtos;
using System.Threading.Tasks;

namespace BPA.KitChen.WeChat.WechatServer.Service
{
    public interface IWechatService
    {
        WeChatUserInfo Decryptuserinfo(DecryptVM decryptVM);
        /// <summary>
        /// 获取手机号
        /// </summary>
        /// <param name="code"></param>
        /// <returns></returns>
        Task<WechatPhoneMsg> WxPhone(string code);
        /// <summary>
        /// 登录，返回openid与密钥
        /// </summary>
        /// <param name="decryptVM"></param>
        /// <returns></returns>

        WeChatUserInfo WxLogin(DecryptVM decryptVM);
        /// <summary>
        /// 发送预定通知
        /// </summary>
        /// <returns></returns>
        Task<bool> SendReserveMessage(ReserveInput input);
    }
}
