﻿
using BPA.KitChen.WeChat.WechatServer.Dtos;
using Essensoft.Paylink.WeChatPay.V2;
using Essensoft.Paylink.WeChatPay.V2.Request;
using Essensoft.Paylink.WeChatPay.V2.Response;
using Furion;
using Furion.DependencyInjection;
using Furion.FriendlyException;
using Furion.RemoteRequest.Extensions;
using System;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.WeChat.WechatServer.Service
{
    /// <summary>
    /// 分账 - 单次分账 (普通商户 / 服务商)
    /// </summary>
    public class WeChatPayProfitService: IWeChatPayProfitService, ITransient
    {
        private readonly IWeChatPayClient _client;

        public WeChatPayProfitService(IWeChatPayClient client)
        {
            _client = client;
        }
        /// <summary>
        /// 微信单次分账
        /// </summary>
        public async Task<WeChatPayProfitSharingResponse> ProfitSharingRequest(ProfitSharingInput input)
        {
            return null;
            //var config =  ApolloApplication.Configs.Find(x => x.Key == input.AppId);
            //WechatPayConfigOptions weChatPayOptions = config.WechatPayConfig;
            // var request = new WeChatPayProfitSharingRequest
            // {
            //     TransactionId = input.TransactionId,
            //     OutOrderNo = input.OutOrderNo,
            //     Receivers = input.Receivers,
            // };
            // request.SetSignType(WeChatPaySignType.HMAC_SHA256);

            // var response = await _client.ExecuteAsync(request, weChatPayOptions);
            // if (response.ReturnCode == WeChatPayCode.Success && response.ResultCode == WeChatPayCode.Success)
            // {
            //     return response;
            // }
            // else
            // {
            //     var res = await WeChatPayProfitSharingOrderAmountQuery(input.TransactionId, input.AppId);
            //     if (res.UnSplitAmount == 0)
            //     {
            //         var query = await WeChatPayProfitSharingQuery(new() { AppId= input.AppId, TransactionId= input.TransactionId, OutOrderNo= input.OutOrderNo });

            //         return new WeChatPayProfitSharingResponse { ReturnCode = WeChatPayCode.Success, ResultCode= WeChatPayCode.Success, OrderId= query.OrderId, ReturnMsg = $"分账金额不足,可能已经分过账了!" };
            //     }
            //     else
            //     {
            //        return response;
            //     }
            // }
        }


        /// <summary>
        /// 微信分账剩余金额查询
        /// </summary>
        /// <returns></returns>
        public async Task<WeChatPayProfitSharingOrderAmountQueryResponse> WeChatPayProfitSharingOrderAmountQuery(string tid,string appId)
        {
            return null;
            //var config = ApolloApplication.Configs.Find(x => x.Key == appId);
            //WechatPayConfigOptions weChatPayOptions = config.WechatPayConfig;
            //var request = new WeChatPayProfitSharingOrderAmountQueryRequest
            //{
            //    TransactionId = tid
            //};
            //var response = await _client.ExecuteAsync(request, weChatPayOptions);

            //return response;
        }

        /// <summary>
        /// 查询分账结果
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
        public async Task<WeChatPayProfitSharingQueryResponse> WeChatPayProfitSharingQuery(ProfitSharingQueryInput input)
        {

            return null;
            //var config = ApolloApplication.Configs.Find(x => x.Key == input.AppId);
            //if (config == null)
            //{
            //    throw Oops.Oh("小程序未授权");
            //}
            //var request = new WeChatPayProfitSharingQueryRequest
            //{
            //    OutOrderNo = input.OutOrderNo,
            //    TransactionId = input.TransactionId
            //};
            //var response = await _client.ExecuteAsync(request, config.WechatPayConfig);
            //return response;
        }

        /// <summary>
        /// 分账完成
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
        public async Task<WeChatPayProfitSharingFinishResponse> WeChatPayProfitSharingFinish(ProfitSharingFinishInput input)
        {
            return null;
            //var config = ApolloApplication.Configs.Find(x => x.Key == input.AppId);
            //if (config == null)
            //{
            //    throw Oops.Oh("小程序未授权");
            //}
            //var request = new WeChatPayProfitSharingFinishRequest
            //{
            //    BrandMchId = input.BrandMchId,
            //    TransactionId = input.TransactionId,
            //    OutOrderNo = input.OutOrderNo,
            //    Description = input.Description
            //};

            //var response = await _client.ExecuteAsync(request, config.WechatPayConfig);
            //return response;
        }
    }
}
