﻿using BPA.KitChen.GroupMealOrder.Core.Entity.Base;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.GroupMealOrder.Core.Entity
{
    [SugarTable("BPA_AppletSubOrder")]
    public class BPA_AppletSubOrder : IBaseGroupIdEntity
    {
        /// <summary>
        /// 主键 Guid
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, ColumnDataType = "Nvarchar(64)", IsNullable = false)]
        public string Id { get; set; } = Guid.NewGuid().ToString();
        public DateTime CreateAt { get; set; } = DateTime.Now;
        public string CreateBy { get; set; }

        /// <summary> 
        /// 主订单表Id 
        /// </summary> 
        public string OrderId { get; set; }
        /// <summary> 
        /// 商品表Id 
        /// </summary> 
        public string GoodsId { get; set; }
        public string GoodsName { get; set; }
        /// <summary> 
        /// 是否自定义配方 
        /// </summary> 
        public bool isCustom { get; set; }
        /// <summary> 
        /// 商品编号（第三方商品编号）
        /// </summary> 
        public string GoodsNumber { get; set; }
        public string GroupId { get; set; }
    }
}
