﻿using BPA.KitChen.GroupMealOrder.Core.Entity.Base;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.GroupMealOrder.Core.Entity
{

    /// <summary>
    /// 第三方日志
    /// </summary>
    [SugarTable("bpa_thirdpartyrequestlog")]
    public class BPA_ThirdpartyRequestLog : IBaseEntity, IBaseGroupIdEntity
    {
        public string GroupId { get; set; }

        public string RequestUrl { get; set; }

        public string ReauestMethod { get; set; }

        public string ResultParm { get; set; }

        public string ReauestParm { get; set; }

        public string IP { get; set; }

        public DateTime CreateAt { get; set; } = DateTime.Now;
    }
}
