﻿using BPA.KitChen.GroupMealOrder.Core.Common.Const;
using BPA.KitChen.GroupMealOrder.Core.Entity.Base;
using Furion;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.GroupMealOrder.Core.Entity
{

    [SugarTable("bpa_wechatconfigdetail")]
    public class BPA_WeChatConfigDetail : IBaseGroupIdEntity
    {
        /// <summary>
        /// 主键 Guid
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, ColumnDataType = "Nvarchar(64)", IsNullable = false)]
        public string Id { get; set; } = Guid.NewGuid().ToString();


        [SugarColumn(ColumnDataType = "nvarchar(64)", ColumnDescription = "GroupId", IsNullable = true)]
        public string GroupId { get; set; } = App.User?.FindFirst(ClaimConst.GroupId)?.Value;

        public string Key { get; set; }

        /// <summary>
        /// 标识
        /// </summary>
        public string Mark { get; set; }

        public int IsProduction { get; set; }

        public string AppId { get; set; }
        public string AppSecret { get; set; }

        public string AppMessagetTakeAway { get; set;}

        public string AppMessageActivity { get; set; }

        public string MchId { get; set; }

        public string MchKey { get; set; }

        public string MchIP { get; set; }

        public string WeChatPayNotifyUrl { get; set; }

        public string WeChatRefundUrl { get; set; }

        public string WeChatOrderNotifyUrl { get; set; }

        public string OrderAddress { get; set; }

        public string FranchiseeAddress { get; set; }

        public string APIKey { get; set; }

        public string APIv3Key { get; set; }

        public string Certificate { get; set; }

        public string RsaPublicKey { get; set; }

        public string APIPrivateKey { get; set; }

        public string CertificatePassword { get; set; }

        public string SubAppId { get; set; }

        public string SubMchId { get; set;}

    }
}
