﻿namespace BPA.KitChen.WeChat.WechatServer.Dtos
{
    public class WeChatReceiversModel
    {
        /// <summary>
        /// 商户类型 
        /// MERCHANT_ID:商户号  
        /// PERSONAL_OPENID:个人
        /// </summary>
        public string type { get; set; }
        /// <summary>
        /// 分账接收方账号 string(64)
        /// </summary>
        public string account { get; set; }
        /// <summary>
        /// 分账金额 单位：分
        /// </summary>
        public string amount { get; set; }
        /// <summary>
        /// 分账描述 string(80)
        /// </summary>
        public string description { get; set; }
        /// <summary>
        /// 分账个人接收方姓名 string(64)
        /// </summary>
        public string name { get; set; }
    }
}
