﻿namespace BPA.KitChen.WeChat.WechatServer.Dtos
{
    /// <summary>
    /// 手机号接口返回信息
    /// </summary>
    public class WechatPhoneMsg
    {
        public long errcode { get; set; }


        public string errmsg { get; set; }

        public WechatPhoneInfo phone_info { get; set; }
    }
    /// <summary>
    /// 手机信息
    /// </summary>
    public class WechatPhoneInfo
    {
        public string phoneNumber { get; set; }

        public string purePhoneNumber { get; set; }

        public string countryCode { get; set; }
    }
    /// <summary>
    /// 接收access_token信息
    /// </summary>
    public class WechatToken
    {
        public string access_token { get; set; }

        public long expires_in { get; set; }
    }

    public class ReserveInput
    {
        /// <summary>
        /// 微信openid
        /// </summary>
        public string OpenId { get; set; }
        /// <summary>
        /// 小程序Id
        /// </summary>
        public string AppId { get; set; }
        /// <summary>
        /// 预定时间
        /// </summary>
        public string ReserveTime { get; set; }
        /// <summary>
        /// 提醒内容
        /// </summary>
        public string ReserveWarning { get; set; }
    }
}
