﻿using System;
using System.Security.Cryptography;
using System.Text;

namespace BPA.KitChen.WeChat.WechatServer.Service
{
    /// <summary>
    /// AES解密
    /// </summary>
    public class AESHelper
    {
        /// <summary>
        /// 秘钥
        /// </summary>
        public static string AesKey;
        /// <summary>
        /// 16位初始向量
        /// </summary>
        public static string AesIV;
        /// <summary>
        /// AES解密
        /// </summary>
        /// <param name="text"></param>
        /// <returns></returns>
        public static string AESDecrypt(string text)
        {
            string result;
            try
            {
                //16进制数据转换成byte
                byte[] encryptedData = Convert.FromBase64String(text);  // strToToHexByte(text);
                Aes rijndaelCipher = Aes.Create();
                rijndaelCipher.Key = Convert.FromBase64String(AesKey); // Encoding.UTF8.GetBytes(AesKey);
                rijndaelCipher.IV = Convert.FromBase64String(AesIV);// Encoding.UTF8.GetBytes(AesIV);
                rijndaelCipher.Mode = CipherMode.CBC;
                rijndaelCipher.Padding = PaddingMode.PKCS7;
                ICryptoTransform transform = rijndaelCipher.CreateDecryptor();
                byte[] plainText = transform.TransformFinalBlock(encryptedData, 0, encryptedData.Length);
                result = Encoding.Default.GetString(plainText);
                rijndaelCipher.Dispose();
            }
            catch(Exception ex)
            {
                result = "";
            }
            return result;
        }
    }
}
